Bug 1315990 - Please remove unnecessary requirements for munin-node
Please remove unnecessary requirements for munin-node
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: d. johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 03:14 EST by Yu Watanabe
Modified: 2016-04-03 15:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: munin-2.0.25-11.fc24 munin-2.0.25-11.fc23 munin-2.0.25-11.fc22 munin-2.0.25-11.el7 munin-2.0.25-11.el6 munin-2.0.25-11.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 14:05:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yu Watanabe 2016-03-09 03:14:48 EST
Description of problem:

Please remove 
%%%%%
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%%%%%
for newer release of fedora and epel. Instead of them, please add
%%%%%
Requires(post): systemd
Requires(preun): systemd
%%%%%
for them.

Version-Release number of selected component (if applicable):

munin-2.0.25-5.fc23.noarch
munin-2.0.25-8.fc24.noarch
Comment 1 Yu Watanabe 2016-03-09 03:23:27 EST
Of course, the commands are not used at post and preun scripts for recent releases of fedora and epel.

On our cluster system, munin-node is the only package that requires initscripts package which provides /sbin/service command. So, please remove the requirements.
Comment 2 d. johnson 2016-03-10 22:03:47 EST
Good catch.  I'll update shortly.
Comment 3 Yu Watanabe 2016-03-11 00:18:15 EST
Thank you for your quick response.

However,
http://pkgs.fedoraproject.org/cgit/rpms/munin.git/commit/?id=05080bedc94cfe2bf3b458c034c6fd628107c9f6
%%%%%%%%%%%%%%%%%%%%%%%%%%
%else
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
%endif
Requires(preun): /sbin/service
%%%%%%%%%%%%%%%%%%%%%%%%%%
this should be
%%%%%%%%%%%%%%%%%%%%%%%%%%
%else
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%endif
%%%%%%%%%%%%%%%%%%%%%%%%%%
Comment 4 Fedora Update System 2016-03-11 01:42:30 EST
munin-2.0.25-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0deb9d79b7
Comment 5 Fedora Update System 2016-03-11 01:43:02 EST
munin-2.0.25-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-12c0a2ffd9
Comment 6 Fedora Update System 2016-03-11 01:43:33 EST
munin-2.0.25-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6586eecbb0
Comment 7 Fedora Update System 2016-03-11 01:44:05 EST
munin-2.0.25-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d682ef1123
Comment 8 Fedora Update System 2016-03-11 01:44:32 EST
munin-2.0.25-10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4564ebb06
Comment 9 Fedora Update System 2016-03-11 01:44:56 EST
munin-2.0.25-10.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-35a61415af
Comment 10 Fedora Update System 2016-03-11 14:26:49 EST
munin-2.0.25-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0deb9d79b7
Comment 11 Fedora Update System 2016-03-12 10:48:18 EST
munin-2.0.25-10.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-35a61415af
Comment 12 Fedora Update System 2016-03-12 10:49:43 EST
munin-2.0.25-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4564ebb06
Comment 13 Fedora Update System 2016-03-12 11:53:42 EST
munin-2.0.25-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6586eecbb0
Comment 14 Fedora Update System 2016-03-12 12:25:29 EST
munin-2.0.25-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-12c0a2ffd9
Comment 15 Fedora Update System 2016-03-12 15:50:34 EST
munin-2.0.25-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d682ef1123
Comment 16 Yu Watanabe 2016-03-15 00:01:35 EDT
(In reply to Yu Watanabe from comment #3)
> Thank you for your quick response.
> 
> However,
> http://pkgs.fedoraproject.org/cgit/rpms/munin.git/commit/
> ?id=05080bedc94cfe2bf3b458c034c6fd628107c9f6
> %%%%%%%%%%%%%%%%%%%%%%%%%%
> %else
> Requires(post): /sbin/chkconfig
> Requires(preun): /sbin/chkconfig
> %endif
> Requires(preun): /sbin/service
> %%%%%%%%%%%%%%%%%%%%%%%%%%
> this should be
> %%%%%%%%%%%%%%%%%%%%%%%%%%
> %else
> Requires(post): /sbin/chkconfig
> Requires(preun): /sbin/chkconfig
> Requires(preun): /sbin/service
> %endif
> %%%%%%%%%%%%%%%%%%%%%%%%%%

Ping?
Comment 17 Fedora Update System 2016-03-15 21:39:08 EDT
munin-2.0.25-11.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 18 Fedora Update System 2016-03-15 21:40:06 EDT
munin-2.0.25-11.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 19 Fedora Update System 2016-03-15 21:40:47 EDT
munin-2.0.25-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 20 Fedora Update System 2016-03-15 21:41:19 EDT
munin-2.0.25-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 21 Fedora Update System 2016-03-15 21:41:59 EDT
munin-2.0.25-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 22 Fedora Update System 2016-03-15 21:42:32 EDT
munin-2.0.25-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 23 Fedora Update System 2016-03-18 11:00:05 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 24 Fedora Update System 2016-03-18 18:49:53 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 25 Fedora Update System 2016-03-18 18:52:05 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 26 Fedora Update System 2016-03-18 19:56:31 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 27 Fedora Update System 2016-03-18 21:27:10 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 28 Fedora Update System 2016-03-18 22:18:27 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 29 Fedora Update System 2016-03-26 14:04:44 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-03-26 15:49:51 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2016-03-26 16:20:51 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2016-04-02 15:25:38 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2016-04-02 16:34:16 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2016-04-03 15:51:24 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.